weka.core.pmml.jaxbbindings

## Class SeasonalityExpoSmooth

- java.lang.Object
- - weka.core.pmml.jaxbbindings.SeasonalityExpoSmooth

-     public class SeasonalityExpoSmooth
      extends java.lang.Object

  Java class for Seasonality_ExpoSmooth element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Seasonality_ExpoSmooth">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <group ref="{http://www.dmg.org/PMML-4_1}REAL-ARRAY"/>
               </sequence>
               <attribute name="delta" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="period" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="phase" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="type" use="required">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                     <enumeration value="additive"/>
                     <enumeration value="multiplicative"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="unit" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeasonalityExpoSmooth()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayType` | `getArray()` Gets the value of the array property.
    `java.lang.Double` | `getDelta()` Gets the value of the delta property.
    `java.math.BigInteger` | `getPeriod()` Gets the value of the period property.
    `java.math.BigInteger` | `getPhase()` Gets the value of the phase property.
    `java.lang.String` | `getType()` Gets the value of the type property.
    `java.lang.String` | `getUnit()` Gets the value of the unit property.
    `void` | `setArray(ArrayType value)` Sets the value of the array property.
    `void` | `setDelta(java.lang.Double value)` Sets the value of the delta property.
    `void` | `setPeriod(java.math.BigInteger value)` Sets the value of the period property.
    `void` | `setPhase(java.math.BigInteger value)` Sets the value of the phase property.
    `void` | `setType(java.lang.String value)` Sets the value of the type property.
    `void` | `setUnit(java.lang.String value)` Sets the value of the unit property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeasonalityExpoSmooth

          public SeasonalityExpoSmooth()

  - ### Method Detail

    - #### getArray

          public ArrayType getArray()

      Gets the value of the array property.
      Returns:
        possible object is `ArrayType`

    - #### setArray

          public void setArray(ArrayType value)

      Sets the value of the array property.
      Parameters:
        `value` - allowed object is `ArrayType`

    - #### getDelta

          public java.lang.Double getDelta()

      Gets the value of the delta property.
      Returns:
        possible object is `Double`

    - #### setDelta

          public void setDelta(java.lang.Double value)

      Sets the value of the delta property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getPeriod

          public java.math.BigInteger getPeriod()

      Gets the value of the period property.
      Returns:
        possible object is `BigInteger`

    - #### setPeriod

          public void setPeriod(java.math.BigInteger value)

      Sets the value of the period property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getPhase

          public java.math.BigInteger getPhase()

      Gets the value of the phase property.
      Returns:
        possible object is `BigInteger`

    - #### setPhase

          public void setPhase(java.math.BigInteger value)

      Sets the value of the phase property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getType

          public java.lang.String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(java.lang.String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUnit

          public java.lang.String getUnit()

      Gets the value of the unit property.
      Returns:
        possible object is `String`

    - #### setUnit

          public void setUnit(java.lang.String value)

      Sets the value of the unit property.
      Parameters:
        `value` - allowed object is `String`